List catalog categories
Lists service catalog categories with their items
Returns all categories with their items (excluding form fields).
Authorizations
AuthorizationstringRequired
Harmony access key, sent as Authorization: AccessKey <your-key>. Create keys in Settings > Access Keys. The tenant is resolved from the key.
Query parameters
include_discoveredbooleanOptionalDefault:
falseResponses
200
Successful Response
application/json
total_countintegerRequired
422
Validation Error
application/json
get/api/v1/categories
GET /service-catalog/api/v1/categories HTTP/1.1
Host: api.harmony.io
Authorization: YOUR_API_KEY
Accept: */*
{
"categories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"icon": "text",
"description": "text",
"display_order": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"icon": "text",
"description": "text",
"ticket_type": "request",
"is_visible": true,
"discovered": false,
"desk_id": "text",
"updated_by": "text",
"external_ref_id": "text",
"metadata": {
"origin": "text",
"is_orderable": true,
"order_endpoint": "text",
"unresolved_mandatory_fields": [
"text"
],
"snow_class": "text"
}
}
]
}
],
"total_count": 1
}Last updated
Was this helpful?
